version: '3.8'

services:
  tax_backend:
    container_name: tax_backend
    build:
      context: ./backend
      dockerfile: Dockerfile
    ports:
      - "8003:8003"
    environment:
      DATABASE_URL: postgresql+psycopg2://user:pass@host.docker.internal:5432/tax
      BASE_PLATFORM_URL: http://host.docker.internal:8000
    extra_hosts:
      - "host.docker.internal:host-gateway"

  tax_frontend:
    container_name: tax_frontend
    build:
      context: ../..
      dockerfile: industry_accelerator/tax/frontend/Dockerfile
    ports:
      - "5176:80"
    depends_on:
      - tax_backend
